Apache C++ Standard Library Reference Guide

## <list>

Library: Containers

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<list>` is part of the Containers library of the Standard C++ Library. It defines the sequence class template list, a set of relational operators that C++ programs may use to perform equality and inequality tests on specializations of list, and the specialization of the `swap()` algorithm for list.

### Synopsis

    namespace std {
      template <class T, class Allocator = allocator<T> >
      class list;
      template <class T, class Allocator>
      bool operator==(const list<T, Allocator>&,
                      const list<T, Allocator>&);
      template <class T, class Allocator>
      bool operator<(const list<T, Allocator>&,
                     const list<T, Allocator>&);
      template <class T, class Allocator>
      bool operator!=(const list<T, Allocator>&,
                      const list<T, Allocator>&);
      template <class T, class Allocator>
      bool operator>(const list<T, Allocator>&,
                     const list<T, Allocator>&);
      template <class T, class Allocator>
      bool operator>=(const list<T, Allocator>&,
                      const list<T, Allocator>&);
      template <class T, class Allocator>
      bool operator<=(const list<T, Allocator>&,
                      const list<T, Allocator>&);
      template <class T, class Allocator>
      void swap(list<T, Allocator>&, list<T, Allocator>&);
    }

### See Also

list, Containers, Sequences

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 23.2